Name:           python-sagemaker-studio-sparkmagic-lib
Version:        0.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python Command line tool to manage configuration of sparkmagic kernels on studio

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/aws-samples/sagemaker-studio-sparkmagic-conf
Source:         %{pypi_source sagemaker_studio_sparkmagic_lib}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sagemaker-studio-sparkmagic-lib' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sagemaker-studio-sparkmagic-lib
Summary:        %{summary}

%description -n python3-sagemaker-studio-sparkmagic-lib %_description


%prep
%autosetup -p1 -n sagemaker_studio_sparkmagic_lib-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sagemaker-studio-sparkmagic-lib -f %{pyproject_files}


%changelog
%autochangelog